Monthly Archives: February 2012

You are browsing the site archives by month.

YaST2 – Mettez le paquet avec le gestionnaire de paquets – par Aristide

Bonjour,

Au détour des canaux IRC, j’ai croisé Aristide qui m’a fait part d’un superbe travail qu’il a réalisé récemment.

Voici un tutoriel pour l’utilisation de YaST2, qui plaira à tout débutant qui n’est pas particulièrement satisfait du encore très jeune Apper :

http://aristide.tonbnc.fr/docs/opensuse/YaST2 – Mettez le paquet avec le gestionnaire de paquet.pdf

index_yast_pdf_aristide

Le document est sous licence CC-BY-SA, la source est ici.

Un grand merci à Florian Metton alias Aristide.

YaST 2
Mettez le paquet avec son
gestionnaire de paquet !
Installer, supprimer, mettre à jours ses logiciels, Ajouter et supprimer des dépôts sous OpenSUSE
Page 1 sur 33
SOMMAIRE :
Chapitre Page
1 : Introduction 3
2 : Gestion des logiciels : 5
2.1 : Installer un logiciel 5
2.1.1 : Installation dite normale 7
2.1.2 : Installation depuis un fichier « Oneclick Install » 9
2.1.3 : Installation depuis un RPM 12
2.2 : Supprimer un logiciel 13
2.3 : Mises à jours 15
2.3.1 : Mettre à jour un logiciel 16
2.3.2 Rétrograder un logiciel 18
3 : Gestion des dépôts 20
3.1 : Ajouter un dépôt 21
3.2 : Supprimer un dépôt 24
3.3 : Activer ou désactiver un dépôt 25
3.4 : Mise à jour depuis un dépôt 26
4 : Gérer une dépendance non-résolue 28
4.1 : Par ajout de dépôts supplémentaires 29
4.2 : Par changement de fournisseur 32
5 : Conclusion 33
Contributeurs :
Florian Metton http://aristide.tonbnc.fr Créateur de l’oeuvre.
Information de licence sur le document : Le présent document est librement modifiable, librement redistribuable, et peut être utilisée à des fins
commerciales, conformément à la licence cc-by-sa. Néanmoins, vous devez garder le nom de l’auteur original. Si vous le souhaitez, vous pouvez
ajouter votre nom dans la liste des contributeurs, et sous les mêmes conditions qu’imposée par la licence susmentionnée (ou équivalent).
Pour plus d’informations sur ces droits, mais aussi les conditions, vous pouvez lire le présent document :
http://creativecommons.org/licenses/by-sa/2.0/fr/
Page 2 sur 33
1 : Introduction
YAST est un logiciel qui vous permet de gérer les logiciels installés sur votre ordinateur. Afin de
mener cette tâche à bien, il se sert de zypper, le gestionnaire de paquet par défaut d’OpenSUSE. Le
gestionnaire de paquet est le logiciel qui se charge de cette noble tâche.
Il y a donc deux façons de gérer vos logiciels :
→ La première est de passer par Yast. Plus simple pour les débutants.
→ La seconde est de passer par la commande de zypper. Plus simple pour les habitués. Les
actions sont faites plus rapidement.
La seconde solution fera l’objet d’un autre document. Mais il convient de savoir utiliser la version
« graphique » pour comprendre comment ça fonctionne, pour a terme pouvoir l’utiliser en ligne de
commande.
Quoi qu’il en soit, sa façon de faire est récupérer des informations depuis un dépôt logiciel, pour
vérifier les mises à jours des paquets ou leur installation. Il permet également de résoudre les
dépendances automatiquement.
Afin de mieux comprendre ces termes, voici certains termes particuliers au système d’exploitation
GNU/Linux :
Un dépôt Un dépôt est un site web distant, ou serveur ftp distant, ou tout autre
support local (DVD / CD / Répertoire / DISQUE …).
Il contient généralement toutes les informations sur tous les paquets
disponibles, les dits paquets, ainsi que les versions etc…
Un paquet Un paquet, est un logiciel ou une libraire.
Un paquet est au format RPM sous OpenSUSE. Ce fichier contient des
scripts qui sont exécutés lors de l’installation / désinstallation / mise à
jours, après ou avant, et contiennent également divers fichiers (des binaires
ou des fichiers de configuration par défaut), et le tout est empaqueté dans
un fichier compressé, c’est pourquoi on le nomme Paquet.
Dépendance Une dépendance est un paquet qui est lié à un autre. Par exemple, si vous
installez un logiciel x, le gestionnaire de paquet va lire ce qui est
nécessaire, et les sélectionner automatiquement pour l’installation (avec les
bonnes versions etc…).
Quand il est impossible de trouver les paquets associés, on dit que la
dépendance n’est pas résoluble. Dans ce cas il peut être nécessaire de
résoudre la dépendance soit par le biais d’ajouts de dépôts supplémentaire,
soit par le téléchargement manuel de paquets, la mise à jour de certains
paquets, ou même en rétrogradant des paquets logiciels.
Libraire Une libraire, est un équivalent sous GNU/Linux d’une DLL sous Microsoft
Page 3 sur 33
Windows. Elle contient une bibliothèque de fonctions qu’un ou plusieurs
logiciels externes peuvent nécessiter.
Pour lancer YaST, il y a deux façons de procéder.
Si vous avez KDE :
Ouvrez le menu K (ou faites ALT+F2).
Le menu K est ce bouton. Il peut également
ressembler à un bouton vert contenant un
caméléon.
ALT+F2 affiche cette fenêtre.
Tapez Install et lancez Install/Remove Software. Lancez le logiciel.
Boite de dialogue demandant un mot de passe root
Cette fenêtre s’affiche, et vous demande d’entrer
votre mot de passe.
Ce mot de passe correspond au mot de passe
root qui est l’équivalent de la session
Administrateur de Microsoft Windows.
En effet, GNU/Linux vous fournit une session
qui, de base, n’a aucuns droits administrateur, et
ce, pour des raisons de sécurité. Vous pouvez
néanmoins vous logger en tant que root depuis
KDE mais c’est assez sale dans le principe. Donc
on va rester sur ce principe là, c’est quand même
mieux.
Une fois fait, l’interface de base de Yast s’affiche. Il se peut qu’il mette un certain temps avant
d’afficher l’écran principal. En effet, yast recharge la liste des logiciels depuis les dépôts configurés
pour stocker cette dite liste sur votre ordinateur. Après un petit moment, vous arrivez sur la fenêtre
principale.
Si vous avez une autre interface graphique :
Le logiciel est disponible dans :
Menu de votre interface / Paramètres / Administration / Add/Remove software
Page 4 sur 33
2 : Gestion des logiciels
2.1 : Installer/Supprimer un logiciel :
Avant de commencer, nous allons faire un état des lieux de la section gestion des logiciels (c’est
ainsi que je la nomme), et toutes ses subtilités.
La barre d’onglets vous permet de naviguer entre
les différentes vues de Yast.
La vue par défaut sélectionnée, est Rechercher
qui vous permet de chercher des logiciels.
La zone de recherche vous permet de définir
vos critères de recherche pour rechercher un
logiciel précis.
Vous pouvez taper un mot clef (par exemple
msn, vlc …), et cocher les cases dans quel
endroits vous voulez chercher.
Le résultat de recherche vous permet d’afficher
la résultat de votre recherche.
Ici, vous pourrez cocher ou décocher les paquets
que vous souhaitez installer, ou supprimer, ou
changer de version.
Page 5 sur 33
La zone d’information, affiche les informations
relatives au paquet sélectionné.
Vous pouvez voir les versions disponibles, les
dépendances etc…
Certaine informations restent néanmoins
disponibles uniquement si vous avez installé le
logiciel.
La partie de droite reste la même. Les autres onglets vous permettent de rechercher de façon
différente des paquets à installer. Je vous laisse les voir tranquillement. Vous avez plusieurs façons
de gérer vos logiciels. Faites un petit tour mais sans toucher à rien (n’installez rien, ne supprimez
rien, nous allons vous montrer après comment faire).
Page 6 sur 33
2.1.1 : Installation dite « normale » :
Installer un logiciel est tout simplement facile. Pour se faire, il faut lancer yaST. Dans l’exemple,
nous allons installer vlc qui est un lecteur multimédia libre et gratuit, qui lit a peu près tout.
Dans rechercher, tapez le nom du logiciel que
vous voulez installer.
Par exemple vlc. Une fois entré, appuyez soit sur
entrée, soit sur rechercher.
Dans la liste à droite, s’affiche la liste des
paquets qui correspondant à ce que vous avez
entré dans le champs rechercher.
Cochez donc vlc. Vous pouvez voir apparaitre un
petit a côté de vlc, et a côté d’autre
paquets.
Signifie que le paquet est celui qui a été
sélectionné pour l’installation. Néanmoins, afin
de résoudre automatiquement les dépendances,
les paquets mentionnés par ont été
automatiquement sélectionnés. Ils vont
également être installés.
Si vous regardez un peu dans l’onglet Résumé de
l’installation, vous pouvez voir la liste de tout ce
qui va être installé.
Cet onglet affiche en fait les modifications qui
vont être effectuées. Si vous avez coché un
logiciel par erreur, vous pouvez le décocher
d’ici.
Cliquez donc sur Accepter.
Page 7 sur 33
Maintenant, cette fenêtre s’affiche. Il est écrit
que les modifications suivantes font être faite, en
plus des paquets que vous avez choisit.
Cliquez donc sur Continuer pour valider. Vous
pouvez Annuler en cliquant sur Annuler. Tout
dépend de votre choix.
Maintenant, les opérations qui doivent être faites
sont en cours. Le gestionnaire de paquet va
procéder en plusieurs phases :
→ Le téléchargement
→ L’installation + La configuration
→ Finalisation de l’installation.
Une fois le tout terminé, Yast va se fermer, et vlc
est installé avec succès !
Page 8 sur 33
2.1.2 : Installation depuis « Oneclick Install» :
Quelques fois, il peut être nécessaire d’installer depuis un fichier One click install. Cette méthode
consiste en fait à :
→ Ajouter le dépôt du logiciel
→ Installer le logiciel avec ses dépendances
Et le tout sans lancer Yast au préalable.
Nous allons reprendre comme exemple VLC. Quand nous allons sur le site web de VLC
(http://www.videolan.org/). Allez dans la section Télécharger, et choisissez votre distribution (en
l’occurrence, OpenSUSE).
Cliquez sur ce bouton pour obtenir le fichier
d’installation en clique.
Choisissez « YaST 1-Click Install » et cliquez
sur ouvrir.
Le téléchargement devrait être très bref, vu qu’il
ne s’agit là que de quelques informations.
Une fois téléchargé, YaST se lance et vous
informe sur le logiciel que vous êtes sur le point
d’installer.
Si tout est bon pour vous, cliquez sur Suivant.
Note : Les informations qui sont affichées
dépendent bien évidemment du logiciel que vous
êtes en train d’installer.
Un descriptif des opérations va s’afficher,
indiquant PRÉCISEMENT ce qu’il va faire.
La liste des dépôts qui vont être ajoutés ainsi
que des paquets qui vont être installés, sont
consignés dans cette fenêtre. Pour valider,
cliquez sur Suivant.
Page 9 sur 33
Une dernière demande de confirmation qui vous
demande si vous êtes vraiment sûr de continuer.
Bien évidemment, si vous faites non,
l’installation va être abandonnée.
L’installation requérant des droits root, vous
devez entrer votre mot de passe.
Une fois entrés, vous pouvez cliquer sur Ok.
Comme d’habitude, les dépendances vont être
résolues, et les paquets requis vont être affichés.
Libre à vous de confirmer ou non l’installation
de ces paquetages, une fois lut, cliquez donc sur
Accépter.
Vous pouvez même en profiter pour installer des
logiciels en plus si vous le souhaitez.
Bien sûr, on vous demande ENCORE une fois si
vous souhaitez poursuivre l’installation en plus
des paquets proposés, cliquez sur Continuer.
Page 10 sur 33
Maintenant, attendez que les opérations se
fassent correctement.
Le téléchargement et l’installation vont se faire
automatiquement.
Page 11 sur 33
2.1.3 : Installation depuis un RPM :
Certains logiciels (par exemple Opera) s’installent depuis un fichier RPM sur le site de l’éditeur.
Pour information, Opera est un navigateur internet gratuit (mais pas libre) téléchargeable sur le site
web http://www.opera.com/. Il existe également sous Microsoft Windows, MacOS, et téléphones
mobile ou tablettes.
Choisissez votre distribution GNU/Linux (OpenSUSE le cas échéant). Si vous n’avez pas
OpenSUSE, vous pouvez choisir « Format RPM » (ou équivalent).
Quand on vous demande de télécharger le fichier
RPM, ouvrez le avec Ouvrir avec
Install/Remove Software.
Comme d’habitude, entrez le mot de passe de la
session Root (équivalent session administrateur
sous Windows).
YaST vous demande si vous voulez installer le
logiciel contenu dans le fichier RPM.
Les éventuelles dépendances vont être vérifiée.
Il n’y a pas de dépendances à satisfaire dans ce
cas. Mais si il y en avait eu, il les aurait
proposés.
Ici, c’est Opera, donc cliquez sur Accepter si
vous êtes sûr que le logiciel n’est pas dangereux.
Veuillez patienter lors de l’installation du
logiciel. Une fois installé, le programme est
utilisable.
Page 12 sur 33
3.2 : Supprimer un logiciel
Si vous souhaitez effacer un logiciel proprement sur votre ordinateur, pour diverses raisons, c’est
simple.
Tout d’abord, pour une suppression plus propre,
je vous recommande de cocher Nettoyer lors de
la suppression de paquets dans le menu
Options de Yast.
Cette fonction permettra à Yast de virer les
paquets inutiles et plus utilisés. Admettez que
cette méthode est quand même plus propre.
Par exemple, je veux supprimer vlc de mon
ordinateur.
Dans rechercher, il suffit de taper vlc.
Faites un clique droit sur VLC et sélectionnez
Effacer.
Pour les fainéants, une fois sélectionné, pressez
la touche – (moins) c’est plus rapide.
Vous pouvez voir les modifications qui vont être
faites pour désinstaller proprement vlc dans
« Résumé de l’installation ».
Cliquez sur Accepter pour commencer.
Page 13 sur 33
Un simple petit coup d’oeil pour vérifier ce qui
va être effacé, et Continuer !
Attendez que tout soit supprimé, et une fois
terminé, yast va se fermer.
Page 14 sur 33
2.3 : Mise à jour des logiciels :
Le gestionnaire de paquet effectue un suivit des versions des paquets installés en fonction des
versions disponibles sur un dit dépôt.
Il est donc capable si oui ou non une mise à jours est disponible. Ces mises à jours peuvent être
installées depuis Yast.
Néanmoins, vous pouvez décider aussi de forcer la mise à jours depuis le dépôt d’un logiciel.
Il existe également un logiciel qui permet de vérifier les mises à jours automatiquement.
Page 15 sur 33
2.3.1 : Mettre à jour les logiciels :
Pour mettre à jours vos logiciels, c’est simple :
Passez en vue de dépôts. Si la fonction est
introuvable, elle se trouve ici :
La liste à gauche, affiche les dépôts configués.
Vous devez sélectionner dans cette liste
@System
Maintenant, faites un clique droit sur la liste,
choisissez Tout dans cette liste, et cliquez sur
Mise à jours si une version plus récente est
disponible.
Si ça vous amuse, vous pouvez lui demander de
tout télécharger de tout réinstaller en choisissant
Mise à jours inconditionnelle, mais en plus
d’être inutile, c’est long (plusieurs gigas de
paquetages à télécharger en fonction des
logiciels installés). Donc voilà c’était pour la
parenthèse.
Page 16 sur 33
Une fois cliqué, allez dans l’onglet Résumé de
l’installation si vous voulez voir les
modifications à faire. C’est tout à fait optionnel.
Mais ça ne fait pas de mal de le savoir.
Maintenant, attendez la fin. Une fois terminé,
vous serez à jour.
Page 17 sur 33
2.3.2 : Rétrograder un logiciel
Vous pouvez des fois avoir besoin de rétrograder un logiciel.
Pour se faire, toujours dans Yast (vous l’aurez bien vu cette fenêtre au moins), il suffit de taper le
nom du dit programme. Par exemple, je veux rétrograder le paquet kde-workspace.
Il suffit de sélectionner le paquet, et de cliquer
sur l’onglet en dessous, sur Versions.
Une fois sur versions, choisissez une version
moins récente du dit logiciel.
Résolution des dépendances oblige, la
rétrogradation du paquet kde-workspace,
requiert la rétrogradation de, visiblement, 329
Paquetages, ainsi que le changement de la
source de dépôt.
Si vous êtes d’accord, continuez. Sinon, annulez.
Et répondez aux questions une par une et
continuez.
Continuez de lui demander d’installer une
version moins récente, cochez toutes les cases
qui mentionnent le rétrogradage des fichiers.
Page 18 sur 33
Maintenant, il vous affiche ENFIN la liste des
modifications qui vont être faite.
Cliquez sur continuer si vous êtes sûr de ce que
vous faites.
Attendez le temps de téléchargement des
paquets, et c’est tout !
Page 19 sur 33
3 : Gestion des dépôts :
Les dépôts, sont des liens distants (serveur http, ftp …) ou des liens locaux (chemin d’accès vers un
répertoire, CD ou DVD, Disque, ISO …).
Des dépôts sont déjà configurés par défaut. Mais vous pouvez en ajouter plusieurs. Néanmoins,
faites attention de BIEN PRENDRE EN CONSIDÉRATION qu’avoir deux dépôts pour deux
versions différentes du même logiciel, est d’une saleté tellement incommensurable, que vous serez
envoyés en enfer dés la seconde ou vous serez mort en ayant DEUX dépôts de deux versions
différentes du même logiciel actifs sur votre Ordinateur.
Exemple : Il existe des dépôts pour chaque versions de KDE (Un dépôt pour KDE 4.6, un autre
pour KDE 4.7, un autre pour KDE 4.8).
Avoir le dépôt de KDE 4.7 + Le dépôt de KDE 4.8 actifs, est tout simplement immonde !!
Page 20 sur 33
3.1 : Ajouter un dépôt :
Pour ajouter un supprimer un dépôt, depuis la
fenêtre principale de Yast : Ouvrez le menu
Configuration / Dépôts (ou faites CTRL+R ça va
plus vite au clavier comme on dit).
Maintenant, vous arrivez dans cette nouvelle
interface : DÉPÔT DE LOGICIELS
CONFIGURÉS !
Il se peut (voir même très probablement) que
votre liste ne ressemble aucunement à la
mienne. En effet, ma liste de dépôts a été
configurée aux petits oignons.
Bref, normalement, si vous n’y avez pas touchés,
il ne devrait pas en avoir trop.
Alors vous pouvez choisir plusieurs type de
dépôts. Le plus souvent, vous devriez ajouter
des dépôts de type url.
Donc je vais vous montrer comment le faire.
Sinon le reste requiert des connaissances trop
importantes. La création de ses propres dépôts
fera peut être l’occasion d’une autre
documentation.
Je vais donc ajouter le dépôt de Libreoffice
tiens.
http://download.opensuse.org/repositories/Libre
Office:/Stable/openSUSE_12.1/
Par exemple hein. N’ajoutez pas non plus
n’importe quoi !
Renseignez les champs :
Nom du dépôt :
Nommez le comme bon vous semble. Hop je
met SOFTWARE:LIBREOFFICE
URL :
Mettez le lien du dépôt. Je met
http://download.opensuse.org/repositories/Libre
Office:/Stable/openSUSE_12.1/ et voilà ! Je
valide maintenant.
Page 21 sur 33
Note : OpenSUSE_12.1/ Cette partie diffère en
fonction de la version de SUSE que vous avez.
J’ai choisit d’ajouter un dépôt de Libreoffice,
mais ça aurait put être n’importe quoi. Vous
pouvez naviguer dans les dépôts à
http://download.opensuse.org/repositories/. Mais
ne faites pas n’importe quoi, gardez à l’esprit que
la plupart des logiciels sont disponibles de base.
Liste des principaux dépôts ici :
http://fr.opensuse.org/Dépôts_de_paquets
Maintenant, plus qu’à rafraîchir !
Votre dépôt ajouté apparaît ici, cliquez sur Ok
pour valider.
On vous demande si vous faites confiance à ce
dépôt. Cliquez sur faire confiance si vous êtes
sûr de sa provenance.
Et voilà, votre dépôt est ajouté avec succès dans
la liste et chargé !
Page 22 sur 33
3.2 : Supprimer un dépôt :
Toujours dans cette page
Sélectionnez le dépôt à supprimer dans la liste
de dépôt.
Ne supprimez pas les dépôts principaux de base.
Vous pourrez les remettre plus tard quand même
mais bon c’est stupide.
Puis cliquez sur Effacer.
Bien évidemment, on vous demande si il faut le
faire, dites oui !
Et voilà il n’est plus dans la liste. Cliquez sur ok
maintenant pour confirmer et patientez durant le
chargement du cache.
Page 23 sur 33
3.3 : Activer ou désactiver un dépôt :
En fait, activer ou désactiver un dépôt est d’une simplicité déconcertante, et je résumerais cela en
une page. Néanmoins, il faut souligner qu’un dépôt désactiver est COMME un dépôt supprimé.
À la différence prêt ou il suffit de le réactiver pour le rendre à nouveau utilisable.
Comme d’habitude, on ouvre les dépôts de Yast
pour le moment rien de spécial.
On double-clique sur le dépôt que l’on veut
désactiver.
Oh le « » à disparut dans la colonne Activé !
Et puis on redouble clique sur ce même dépôt.
Et voilà.
Oui je sais c’est une opération assez aisée à faire,
en soit, et pour valider on clique sur ok et c’est
tout.
Page 24 sur 33
3.4 : Mettre à jours depuis un dépôt :
Tout à l’heure, nous avions vu comment mettre à jours le système bêtement. Maintenant, nous allons
voir comment mettre à jours depuis un dépôt.
Ci-dessus, nous avons ajouté le dépôt de Libreoffice. Vous pouvez donc le mettre à jours depuis ce
dépôt pourquoi pas. Si vous ne l’avez pas supprimé bien sûr. Sinon ça marche également depuis
d’autre dépôts.
Depuis la fenêtre principale de yast, passez en
mode vue dépôts
Choisissez le dépôt de votre choix dans la liste
de gauche. J’ai par exemple choisit celui que
j’avais prit juste avant.
Une fois cliqué, la bande devient :
Et on clique sur le petit lien entouré d’un fond
noir. Quand vous aurez cliqué dessus, tous les
paquets à mettre a jour vont être sélectionnés
(résolution des dépendances oblige).
Page 25 sur 33
On regarde dans Résumé de l’installation pour
voir si éventuellement il n’y a pas des choses qui
coincent, si ça vous amuse, et on clique sur
Accepter !
Maintenant, on peut voir les modifications à
faire sur le système bien sur, avec les nouvelles
versions les tailles etc, et on clique sur
Continuer !
Et puis … On attend tranquillement devant son
pc ou devant un café ou le temps de prendre une
douche que les paquets soient téléchargés ! Et
vous voilà à jour depuis les dépôts.
À présent, quand vous ferez une mise à jours
normale, les paquets concernant libre office,
seront mis à jours depuis ce dépôt.
Page 26 sur 33
4 : Gérer une dépendance non-résolue :
Des fois, dans certains cas, quand vous téléchargez un RPM depuis un site web, il se peut que les
dépendances ne puissent être résolues automatiquement.
C’est à dire que Yast est incapable de trouver les paquets nécessaire au fonctionnement du paquet
que vous installez.
À présent comme la détection automatique ne suffit pas, il suffit d’utiliser vos mains, votre tête, et
ce qui va avec (c’est à dire votre cerveau), et d’intervenir directement dans le gestionnaire de
paquets pour parvenir à vos fins. Plusieurs méthodes s’offre à vous en fonction du problème
rencontré.
Soit : On ajoute le dépôt :
C’est la méthode qui doit être prise en compte, quand un paquet reste introuvable.
On change de fournisseur
Changer de fournisseur consiste à télécharger les paquets depuis un autre dépôt que celui qui est lié
au paquet. Ce n’est pas spécialement compliqué à faire.
On change la version d’un paquet déjà installé
Changer la version d’un paquet déjà installé est nécessaire par exemple quand vous installez un
logiciel prévus pour KDE 4.7 depuis le dépôt KDE 4.8. Normalement cela ne devrait pas être
faisable, car si vous avez ajouté les dépôts de KDE 4.8, vous auriez dut désactiver ou supprimer le
dépôt de KDE 4.7.4. Bref passons.
Page 27 sur 33
4.1 : Par ajout de dépôt :
Si le RPM est téléchargé depuis un dépôt qui n’est pas configuré, ajouter ce dit dépôt peut être
suffisant. Prenons un cas, sur un paquet au pif téléchargé depuis un dépôt qui n’est pas configuré sur
mon système. Mais vraiment au pif. Ne le faites pas, je ne fait que vous montrer.
Depuis les dépôts de Banshee (http://download.opensuse.org/repositories/Banshee/12.1/), je prend
(de façon tout à fait arbitraire, j’aurais put prendre n’importe quoi d’autre), un fichier RPM depuis le
navigateur web. Pour information Banshee est un lecteur multimédia.
Je prend le paquetage banshee-extensiontelepathy-
2.2.0-1.1.x86_64.rpm sur son dépôt (le
dépôt mentionné n’est pas ajouté dans ma liste).
DIANTRE ! Il manque donc un paquet !!!
Mais que faire dans de telles conditions ? Et bah
il faut essayer d’ajouter le dépôt. En effet, en
ajoutant le dépôt, le gestionnaire de paquet
TROUVERA le paquet requis, et résoudra tout
seul comme un grand la dépendance.
Bien évidemment, vous pouvez aller chercher
vous même le rpm manquant, mais c’est une
méthode franchement dégueulasse. C’est quand
même plus propre d’ajouter le dépôt qu’il faut.
Donc on annule annule annule toute les
demandes, etc… Aucunes modifications n’est
faite sur le système à ce stade.
Comme vous pouvez le voir, le fichier a été
téléchargé dans :
http://download.opensuse.org/repositories/Bansh
ee/12.1/x86_64/
Comme j’ai OpenSUSE 12.1, l’adresse du dépôt
est
http://download.opensuse.org/repositories/Bansh
ee/12.1/
Page 28 sur 33
Donc nous allons ajouter le dépôt qu’il faut.
Dans l’exemple, j’ajoute donc
http://download.opensuse.org/repositories/Bansh
ee/12.1/
Et je le nomme
SOFTWARE:BANSHEE
Nommez le comme vous voulez et Suivant
Le dépôt est ajouté, c’est magnifique !!!
On valide donc en cliquant sur Ok.
Il demande donc si il faut faire confiance au
dépôt. Comme il provient de
http://download.opensuse.org/repositories il n’y
a pas vraiment d’inquiétudes à avoir. Surtout que
Banshee est un logiciel connu. Donc Faire
confiance.
Maintenant, on ferme tout.
On revient donc à notre rpm de tout à l’heure.
On va donc télécharger le même que tout à
l’heure et l’ouvrir avec Add/Remove software.
Page 29 sur 33
Comme d’habitude, on entre son mot de passe
root, et on valide pour continuer.
Magnifique les dépendances ont été
résolues avec succès cette fois ci !
Maintenant qu’il a le dépôt qu’il faut, qu’il a les
paquets, tout est bon.
Il suffit donc de cliquer sur Accepter.
Encore une fois, il affiche les modifications qui
vont être effectuées, et on clique sur Continuer.
Et on attend que l’installation se fasse
tranquillement avec toute la pléiade qu’il a
proposé, ça peut prendre du temps.
Page 30 sur 33
4b : Par changement de fournisseur :
Installer un paquet d’un logiciel quelconque depuis un dépôt différent de celui qui est configuré par
défaut pour ce logiciel peut provoquer des problèmes de dépendance.
Pour se faire, il suffit de changer de dépôt. Yast est intelligent, il le fera pour vous, alors n’ayez
crainte, ne vous suicidez pas tout va bien aller pour vous et votre Système Linux !
Faisons encore un truc bien dégueulasse (oui j’adore être un sale), immonde, inhumain, horrible,
moche, répugnant… J’ai KDE 4.8 avec le dépôt de KDE 4.8 d’installé. C’est très bien. Hors pour
faire bien sale, je n’ai pas supprimé ou désactivé le dépôt de l’ancienne version (KDE 4.7.4)… Donc
on va installer un logiciel de KDE 4.7.4, depuis le dépôt de KDE 4.7.4, en ayant de KDE 4.8 (bref,
le truc bien immonde, ne faites pas de cauchemars et tout ira bien).
Oh non, pour cet affront je devrais être lynché
sur la place publique !!!
Que l’on me protège de la sentence et des jets de
pierre que l’on pourrait m’adresser dans la rue …
Trêves de plaisanteries, ne faites jamais ça !
Quand vous ajoutez un dépôt dont la version est
supérieur (ou inférieur) à un dépôt logiciel déjà
présent (ici, dans ce cas, j’ai KDE 4.8 d’installé,
mais le dépôt de KDE 4.7.4 est resté activé,
l’exemple typique de source d’accidents du genre
que nous allons voir), SUPPRIMEZ OU
DÉSACTIVEZ CELUI QUE VOUS AVIEZ !
J’espère avoir été assez clair sur ce sujet, maintenant continuons. Donc les dépôts ont été ajoutés et
tout et tout.
Donc voilà, la je choisit volontairement de
passer le paquet python-kde4 en version KDE
4.7.4 (alors que comme vous pouvez le voir, la
version 4.8 est déjà installée).
Page 31 sur 33
Oh mais que vois-je !!! Un problème de
dépendance, ah bah c’est balot …
Bien sûr cela aurait put être vrai si j’avais voulut
passer en KDE 4.8.
Dans de telles conditions utiliser la méthode de
mise à jour depuis les dépôts est plus propre.
Bref, bah … On lui dit « d’installer une version
moins récente de nom-paquet-version ». Bah…
Si on veut on lui dit de continuer. Sinon on
supprime ce dépôt immonde et sale qui
encombre pour rien.
Page 32 sur 33
5 : Conclusion :
Voilà, en espérant que ce document ait été suffisamment clair et précis.
Je tiens à me remercier déjà moi même pour avoir personnellement participé à mon projet, et
voulait également remercié tout ceux qui ont acceptés de reprendre le document pour :
→ Réparer mes fautes
→ Corriger les maladresses qui auraient put être intégrée malencontreusement dans le texte
Quoi qu’il en soit, vont prochainement sortir :
OpenSUSE :
Utilitaire : Zypper : Mettez le paquet en commande !
KDE
Interface : Astuce: La flemme sur votre bureau
Utilitaire : Akonadi : Faites semblant d’être organisé
Utilitaire : KGPG : Il est complètement chiffré celui là !
Page 33 sur 33

VLC 2.0 et openSUSE 12.2 Milestone 1

Bonjour, voici deux petites nouvelles,

 

D’abord VLC, le fameux lecteur multimédia Libre d’origine Française, vient de passer en version 2.0

vlc_logo

VLC reçoit de nombreux changements en profondeur, c’est pourquoi le numéro de version est directement passé de 1.1.x à 2.0.

Au programme :

  • un nouveau moteur vidéo complètement réécrit
  • amélioration de la gestion des sous-titres
  • possibilité de lire les fichiers contenus dans les archives RAR
  • le support des extensions Lua
  • l’amélioration du support du format propriétaire Blu-ray

L’interface sous Linux reste la même, une mise à jour de celle-ci devrait arriver dans les prochaines versions.

Le paquet pour openSUSE est disponible pour l’instant uniquement dans le dépôt VLC, pour openSUSE 12.1 : http://download.videolan.org/pub/vlc/SuSE/12.1/

Le site officiel : http://www.videolan.org/vlc/

 

Seconde information : cette semaine la première version de test d’openSUSE 12.2 vient de sortir, la Milestone 1.

C’est évidemment une version de développement qui a pour unique objectif d’être testée, à ne pas installer sur un ordinateur de travail.

opensuse12.2M1

Dans les nouveautés, nous retrouvons :

  • L’environnement KDE SC 4.8
  • Le navigateur Firefox et le courrielleur Thunderbird en version 10
  • La suite bureautique LibreOffice 3.4.4
  • Le lecteur de musique pour KDE : Amarok 2.5.0
  • Le gestionnaire de photos pour KDE : digikam 2.5.0
  • Correction des problèmes de login sur les domaines Windows via KDM ;
  • Les améliorations du système de montage de partitions chiffrées avec systemd ;

 

Merci à Alionet pour l’info : http://www.alionet.org/content.php?196-OpenSUSE-12-2-Milestone-1

La note officielle : http://www.novell.com/linux/releasenotes/x86_64/openSUSE/12.1/

Syvolc

 

retour du FOSDEM 2012

Bonjour,

Ce weekend, pour la deuxième fois, je suis allé au FOSDEM : la “réunion européenne des développeurs de logiciels libres et open source”.

http://fosdem.org/2012/

FOSDEM_01

Arrivé le samedi matin dans l’immense amphithéâtre de l’ULB, l’Université Libre de Bruxelles, pour la conférence d’introduction.

FOSDEM_02

L’un des bâtiment, joli sous la neige :

FOSDEM_03

J’ai fait, comme tout le monde, mon petit programme en choisissant parmi les très nombreuses conférences qui avaient lieu en parallèle.

Voici, entre autre, la présentation “Deep Dive into KDE Mobile” par Laszlo Papp :

FOSDEM_04

Il a abordé les différents ports d’applications KDE vers Maemo/MeeGo/Mer, et bien sur Plasma active.

La conférence Telepathy in KDE par David Edmundson et Martin Klapetek :

FOSDEM_05

KDE Telepathy est au stade de développement mais le gros du travail a été fait, la base est là, maintenant les développeurs cherchent à ajouter quelques fonctionnalités demandées et à assurer la stabilité de l’ensemble.

 

Le stand openSUSE, au matin du samedi, il n’y avait pas encore grand monde, parce qu’ensuite, avec leur bières et teeshirts à 1€ le succès était garanti !

FOSDEM_07

Le stand KDE avec de beaux teeshirts :

FOSDEM_08

 

Je n’ai pas pu y retourner le dimanche, je n’ai donc pas assisté aux conférences openSUSE, j’attends de voir si elles ont été filmées.

N’hésitez pas à venir l’année prochaine, c’est vraiment un évènement énorme et il y a des présentations pour tous les gouts, des sujets non techniques aux sujets très pointus.

Syvolc

Une news de l’équipe openSUSE su le même sujet :  http://news.opensuse.org/2012/02/08/opensuse-at-fosdem/